<?php



function ghost_lite_customize_register_func( $wp_customize ) {



	/*
		Styles panel begin
		----------------------------
	*/
	$wp_customize->add_panel( 'ghost_lite_styles_panel', array(

		'priority'				=> 90,
		'capability'			=> 'edit_theme_options',
		'theme_supports'		=> '',
		'title'					=> esc_html__( 'Main options', 'ghost-lite' )

	) );

			/* Colors Section begin */
			$wp_customize->add_section( 'ghost_lite_colors_section', array(

				'title'					=> esc_html__( 'Color settings', 'ghost-lite' ),
				'priority'				=> 10,
				'panel'					=> 'ghost_lite_styles_panel'

			) );

					$wp_customize->add_setting( 'ghost_main_color_setting', array(

						'default'				=> '#ffc222',
						'sanitize_callback' 	=> 'sanitize_hex_color',
						'transport'				=> 'refresh'

					) );

					$wp_customize->add_control(
						new WP_Customize_Color_Control(
							$wp_customize, 'ghost_main_color_control', array(

								'label'				=> esc_html__('Main theme color', 'ghost-lite'),
								'section'			=> 'ghost_lite_colors_section',
								'settings'			=> 'ghost_main_color_setting'

						)
					)
				);

			/* Colors Section end */


			/* Background Section begin */

			$wp_customize->add_section( 'ghost_lite_background_section', array(

				'title'					=> esc_html__( 'Background settings', 'ghost-lite' ),
				'priority'				=> 15,
				'panel'					=> 'ghost_lite_styles_panel',
				'description'			=> '
					<div style="padding-bottom: 26px; border-bottom: 1px solid #ddd;"><em>
						' . esc_html__( 'Background image and overlay settings', 'ghost-lite' ) . '
					</em></div>'

			) );

					// page background image
					$wp_customize->add_setting( 'ghost_alt_background_image_setting', array(

						'default'				=> get_template_directory_uri(). '/img/page-default-bg.jpg',
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'esc_url_raw'

					) );
					$wp_customize->add_control(
						new WP_Customize_Image_Control(
							$wp_customize, 'ghost_alt_background_image_control', array(

								'label'				=> esc_html__('Page alt background image', 'ghost-lite'),
								'section' 			=> 'ghost_lite_background_section',
								'settings' 			=> 'ghost_alt_background_image_setting'

						)
					)
				);

					// page background overlay color
					$wp_customize->add_setting( 'ghost_background_overlay_color_setting', array(

						'default'				=> '#000007',
						'sanitize_callback' 	=> 'sanitize_hex_color',
						'transport'				=> 'refresh',

					) );
					$wp_customize->add_control(
						new WP_Customize_Color_Control(
							$wp_customize, 'ghost_background_overlay_color_control', array(

								'label'				=> esc_html__('Page background overlay color', 'ghost-lite'),
								'section'			=> 'ghost_lite_background_section',
								'settings'			=> 'ghost_background_overlay_color_setting'

						)
					)
				);

					// background overlay opacity
					$wp_customize->add_setting( 'ghost_background_overlay_opacity_setting', array(

						'default'				=> 70,
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'absint'

					) );
					$wp_customize->add_control( 'ghost_background_overlay_opacity_control', array(

						'label'					=> esc_html__( 'Page background overlay opacity (in %)', 'ghost-lite' ),
						'section'				=> 'ghost_lite_background_section',
						'settings'				=> 'ghost_background_overlay_opacity_setting',
						'type'					=> 'number',
						'input_attrs'			=> array(
								'min'   => 0,
								'max'   => 100,
								'step'  => 1
						)

					) );

			/* Background Section end */


			/* Fontss Section begin */

			$wp_customize->add_section( 'ghost_lite_fonts_section', array(

				'title'					=> esc_html__( 'Theme fonts', 'ghost-lite' ),
				'priority'				=> 30,
				'panel'					=> 'ghost_lite_styles_panel',
				'description'			=> '
					<div style="padding-bottom: 26px; border-bottom: 1px solid #ddd;"><em>
						' . esc_html__( 'Main and heading theme fonts. If you use Google fonts, you can take url and family name from', 'ghost-lite' ) . '
						</em><br /><a href="https://fonts.google.com/" target="_blank">https://fonts.google.com/</a>
					</div>'

			) );

						// enable custom fonts usage
					$wp_customize->add_setting( 'ghost_enable_custom_font_setting', array(

						'default'				=> 'no',
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'ghost_lite_enable_custom_font_sanitize'


					) );

					$wp_customize->add_control(
						new WP_Customize_Control(
							$wp_customize, 'ghost_enable_custom_fonts_control', array(

								'label'				=> esc_html__( 'Use deault or custom fonts', 'ghost-lite' ),
								'section' 			=> 'ghost_lite_fonts_section',
								'settings' 			=> 'ghost_enable_custom_font_setting',
								'type' 				=> 'radio',
								'choices' 			=> array(
									'no'					=> esc_html__( 'Use default font (Montserrat)', 'ghost-lite' ),
									'yes'					=> esc_html__( 'Use custom Google font', 'ghost-lite' )
								)

							)
						)
					);

					// font url in header
					$wp_customize->add_setting( 'ghost_main_font_url_setting', array(

						'default'				=> 'https://fonts.googleapis.com/css?family=Open+Sans:400,400i,600|Oswald:400,600&display=swap',
						'transport'				=> 'refresh',
						'sanitize_callback' 	=> 'esc_url_raw',

					) );

					$wp_customize->add_control( 'ghost_main_font_url_control', array(

						'label'					=> esc_html__( 'google font URL', 'ghost-lite' ),
						'section'				=> 'ghost_lite_fonts_section',
						'settings'				=> 'ghost_main_font_url_setting',
						'type'					=> 'text'

					) );

					// main font name in css
					$wp_customize->add_setting( 'ghost_main_font_name_setting', array(

						'default'				=> '\'Open Sans\', sans-serif',
						'transport'				=> 'refresh',
						'sanitize_callback' 	=> 'sanitize_text_field',

					) );

					$wp_customize->add_control( 'ghost_main_font_name_control', array(

						'label'					=> esc_html__( 'google main font name', 'ghost-lite' ),
						'section'				=> 'ghost_lite_fonts_section',
						'settings'				=> 'ghost_main_font_name_setting',
						'type'					=> 'text'

					) );

					// heading font name in css
					$wp_customize->add_setting( 'ghost_heading_font_name_setting', array(

						'default'				=> '\'Oswald\', sans-serif',
						'transport'				=> 'refresh',
						'sanitize_callback' 	=> 'sanitize_text_field',

					) );

					$wp_customize->add_control( 'ghost_heading_font_name_control', array(

						'label'					=> esc_html__( 'google headings font name', 'ghost-lite' ),
						'section'				=> 'ghost_lite_fonts_section',
						'settings'				=> 'ghost_heading_font_name_setting',
						'type'					=> 'text'

					) );

			/* Fontss Section end */

	/*
		Styles panel end
		----------------------------
	*/



	/*
		Header panel begin
		----------------------------
	*/
	$wp_customize->add_panel( 'ghost_lite_header_panel', array(

		'priority'				=> 91,
		'capability'			=> 'edit_theme_options',
		'theme_supports'		=> '',
		'title'					=> esc_html__( 'Header options', 'ghost-lite' )

	) );

			/* Top bar main section begin */
			$wp_customize->add_section( 'ghost_lite_main_top_bar_section', array(

				'title'					=> esc_html__( 'Top bar main settings', 'ghost-lite' ),
				'priority'				=> 10,
				'panel'					=> 'ghost_lite_header_panel'

			) );

					// enable top bar section
					$wp_customize->add_setting( 'ghost_enable_top_bar_setting', array(

						'default'				=> false,
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'ghost_lite_sanitize_checkbox'

					) );

					$wp_customize->add_control( 'ghost_enable_top_bar_control', array(

						'label'					=> esc_html__( 'Enable Top bar', 'ghost-lite' ),
						'section'				=> 'ghost_lite_main_top_bar_section',
						'settings'				=> 'ghost_enable_top_bar_setting',
						'type'					=> 'checkbox',

					) );

					// choose contact or text
					$wp_customize->add_setting( 'ghost_top_contact_or_text_setting', array(

						'default'				=> 'contact',
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'ghost_lite_top_contact_or_text_sanitize'

					) );

					$wp_customize->add_control(
						new WP_Customize_Control(
							$wp_customize, 'ghost_top_contact_or_text_control', array(

								'label'				=> esc_html__( 'Display contact info or custom text', 'ghost-lite' ),
								'section' 			=> 'ghost_lite_main_top_bar_section',
								'settings' 			=> 'ghost_top_contact_or_text_setting',
								'type' 				=> 'radio',
								'choices' 			=> array(
									'contact'				=> esc_html__( 'Contact information', 'ghost-lite' ),
									'text'					=> esc_html__( 'Custom text', 'ghost-lite' )
								)

							)
						)
					);

			/* Top bar main section end */


			/* Top contact section begin */
			$wp_customize->add_section( 'ghost_lite_top_bar_contact_section', array(

				'title'					=> esc_html__( 'Top bar contact info', 'ghost-lite' ),
				'priority'				=> 20,
				'panel'					=> 'ghost_lite_header_panel'

			) );

					// email text in topbar
					$wp_customize->add_setting( 'ghost_top_bar_email_text_setting', array(

						'default'				=> '',
						'transport'				=> 'refresh',
						'sanitize_callback' 	=> 'sanitize_text_field',

					) );

					$wp_customize->add_control( 'ghost_top_bar_email_text_control', array(

						'label'					=> esc_html__( 'Your email address', 'ghost-lite' ),
						'section'				=> 'ghost_lite_top_bar_contact_section',
						'settings'				=> 'ghost_top_bar_email_text_setting',
						'type'					=> 'text'

					) );

					// choose on which devices show email
					$wp_customize->add_setting( 'ghost_top_bar_email_show_setting', array(

						'default'				=> '',
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'ghost_lite_top_bar_contacts_showing_sanitize'

					) );

					$wp_customize->add_control(
						new WP_Customize_Control(
							$wp_customize, 'ghost_top_bar_email_show_control', array(

								'label'				=> esc_html__( 'On which devices show email', 'ghost-lite' ),
								'section' 			=> 'ghost_lite_top_bar_contact_section',
								'settings' 			=> 'ghost_top_bar_email_show_setting',
								'type' 				=> 'radio',
								'choices' 			=> array(
									''						=> esc_html__( 'Show Email everywhere', 'ghost-lite' ),
									' hide_bef_1024'		=> esc_html__( 'Show Email only on desctop', 'ghost-lite' ),
									' hide_over_1025'		=> esc_html__( 'Show Email only on mobile', 'ghost-lite' )
								)

							)
						)
					);

					// address text in topbar
					$wp_customize->add_setting( 'ghost_top_bar_address_text_setting', array(

						'default'				=> '',
						'transport'				=> 'refresh',
						'sanitize_callback' 	=> 'sanitize_text_field',

					) );

					$wp_customize->add_control( 'ghost_top_bar_address_text_control', array(

						'label'					=> esc_html__( 'Your address', 'ghost-lite' ),
						'section'				=> 'ghost_lite_top_bar_contact_section',
						'settings'				=> 'ghost_top_bar_address_text_setting',
						'type'					=> 'text'

					) );

					// choose on which devices show address
					$wp_customize->add_setting( 'ghost_top_bar_address_show_setting', array(

						'default'				=> '',
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'ghost_lite_top_bar_contacts_showing_sanitize'

					) );

					$wp_customize->add_control(
						new WP_Customize_Control(
							$wp_customize, 'ghost_top_bar_address_show_control', array(

								'label'			=> esc_html__( 'On which devices show address', 'ghost-lite' ),
								'section' 		=> 'ghost_lite_top_bar_contact_section',
								'settings' 		=> 'ghost_top_bar_address_show_setting',
								'type' 			=> 'radio',
								'choices' 		=> array(
									''						=> esc_html__( 'Show address everywhere', 'ghost-lite' ),
									' hide_bef_1024'		=> esc_html__( 'Show address only on desctop', 'ghost-lite' ),
									' hide_over_1025'		=> esc_html__( 'Show address only on mobile', 'ghost-lite' )
								)

							)
						)
					);

					// phone text in topbar
					$wp_customize->add_setting( 'ghost_top_bar_phone_text_setting', array(

						'default'				=> '',
						'transport'				=> 'refresh',
						'sanitize_callback' 	=> 'sanitize_text_field',

					) );

					$wp_customize->add_control( 'ghost_top_bar_phone_text_control', array(

						'label'					=> esc_html__( 'Your phone number', 'ghost-lite' ),
						'section'				=> 'ghost_lite_top_bar_contact_section',
						'settings'				=> 'ghost_top_bar_phone_text_setting',
						'type'					=> 'text'

					) );

					// choose on which devices show phone
					$wp_customize->add_setting( 'ghost_top_bar_phone_show_setting', array(

						'default'				=> '',
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'ghost_lite_top_bar_contacts_showing_sanitize'

					) );

					$wp_customize->add_control(
						new WP_Customize_Control(
							$wp_customize, 'ghost_top_bar_phone_show_control', array(

								'label'				=> esc_html__( 'On which devices show phone', 'ghost-lite' ),
								'section' 			=> 'ghost_lite_top_bar_contact_section',
								'settings' 			=> 'ghost_top_bar_phone_show_setting',
								'type' 				=> 'radio',
								'choices' 			=> array(
									''						=> esc_html__( 'Show phone everywhere', 'ghost-lite' ),
									' hide_bef_1024'		=> esc_html__( 'Show phone only on desctop', 'ghost-lite' ),
									' hide_over_1025'		=> esc_html__( 'Show phone only on mobile', 'ghost-lite' )
								)

							)
						)
					);

			/* Top contact section end */


			/* Top custom text section begin */
			$wp_customize->add_section( 'ghost_lite_top_bar_custom_text_section', array(

				'title'					=> esc_html__( 'Top bar custom text', 'ghost-lite' ),
				'priority'				=> 30,
				'panel'					=> 'ghost_lite_header_panel'

			) );

					// plain text text in topbar
					$wp_customize->add_setting( 'ghost_top_bar_plain_text_setting', array(

						'default'				=> '',
						'transport'				=> 'refresh',
						'sanitize_callback' 	=> 'sanitize_text_field',

					) );

					$wp_customize->add_control( 'ghost_top_bar_plain_text_control', array(

						'label'					=> esc_html__( 'Left part top bar text', 'ghost-lite' ),
						'section'				=> 'ghost_lite_top_bar_custom_text_section',
						'settings'				=> 'ghost_top_bar_plain_text_setting',
						'type'					=> 'text'

					) );

					// choose on which devices show plain text
					$wp_customize->add_setting( 'ghost_top_bar_plain_text_show_setting', array(

						'default'				=> '',
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'ghost_lite_top_bar_contacts_showing_sanitize'

					) );

					$wp_customize->add_control(
						new WP_Customize_Control(
							$wp_customize, 'ghost_top_bar_plain_text_show_control', array(

								'label'				=> esc_html__( 'On which devices show text', 'ghost-lite' ),
								'section' 			=> 'ghost_lite_top_bar_custom_text_section',
								'settings' 			=> 'ghost_top_bar_plain_text_show_setting',
								'type' 				=> 'radio',
								'choices' 			=> array(
									''						=> esc_html__( 'Show text everywhere', 'ghost-lite' ),
									' hide_bef_1024'		=> esc_html__( 'Show text only on desctop', 'ghost-lite' ),
									' hide_over_1025'		=> esc_html__( 'Show text only on mobile', 'ghost-lite' )
								)

							)
						)
					);

			/* Top custom text section end */


			/* Top social section begin */
			$wp_customize->add_section( 'ghost_lite_top_bar_social_section', array(

				'title'					=> esc_html__( 'Top bar social icons & links', 'ghost-lite' ),
				'priority'				=> 40,
				'panel'					=> 'ghost_lite_header_panel'

			) );

					// behance link setings
					$wp_customize->add_setting( 'ghost_top_bar_behance_setting', array(

						'default'				=> '',
						'sanitize_callback' 	=> 'esc_url_raw',
						'transport'				=> 'refresh',

					) );
					$wp_customize->add_control( 'ghost_top_bar_behance_control', array(

						'label'					=> esc_html__( 'Behance link', 'ghost-lite' ),
						'section'				=> 'ghost_lite_top_bar_social_section',
						'settings'				=> 'ghost_top_bar_behance_setting',
						'type'					=> 'text'

					) );

					// dribbble link setings
					$wp_customize->add_setting( 'ghost_top_bar_dribbble_setting', array(

						'default'				=> '',
						'sanitize_callback' 	=> 'esc_url_raw',
						'transport'				=> 'refresh',

					) );
					$wp_customize->add_control( 'ghost_top_bar_dribbble_control', array(

						'label'					=> esc_html__( 'Dribbble link', 'ghost-lite' ),
						'section'				=> 'ghost_lite_top_bar_social_section',
						'settings'				=> 'ghost_top_bar_dribbble_setting',
						'type'					=> 'text'

					) );

					// facebook link setings
					$wp_customize->add_setting( 'ghost_top_bar_facebook_setting', array(

						'default'				=> '',
						'sanitize_callback' 	=> 'esc_url_raw',
						'transport'				=> 'refresh',

					) );
					$wp_customize->add_control( 'ghost_top_bar_facebook_control', array(

						'label'					=> esc_html__( 'Facebook link', 'ghost-lite' ),
						'section'				=> 'ghost_lite_top_bar_social_section',
						'settings'				=> 'ghost_top_bar_facebook_setting',
						'type'					=> 'text'

					) );

					// github link setings
					$wp_customize->add_setting( 'ghost_top_bar_github-alt_setting', array(

						'default'				=> '',
						'sanitize_callback' 	=> 'esc_url_raw',
						'transport'				=> 'refresh',

					) );
					$wp_customize->add_control( 'ghost_top_bar_github-alt_control', array(

						'label'					=> esc_html__( 'Github link', 'ghost-lite' ),
						'section'				=> 'ghost_lite_top_bar_social_section',
						'settings'				=> 'ghost_top_bar_github-alt_setting',
						'type'					=> 'text'

					) );

					// instagram link setings
					$wp_customize->add_setting( 'ghost_top_bar_instagram_setting', array(

						'default'				=> '',
						'sanitize_callback' 	=> 'esc_url_raw',
						'transport'				=> 'refresh',

					) );
					$wp_customize->add_control( 'ghost_top_bar_instagram_control', array(

						'label'					=> esc_html__( 'Instagram link', 'ghost-lite' ),
						'section'				=> 'ghost_lite_top_bar_social_section',
						'settings'				=> 'ghost_top_bar_instagram_setting',
						'type'					=> 'text'

					) );

					// linkedin link setings
					$wp_customize->add_setting( 'ghost_top_bar_linkedin_setting', array(

						'default'				=> '',
						'sanitize_callback' 	=> 'esc_url_raw',
						'transport'				=> 'refresh',

					) );
					$wp_customize->add_control( 'ghost_top_bar_linkedin_control', array(

						'label'					=> esc_html__( 'Linked in link', 'ghost-lite' ),
						'section'				=> 'ghost_lite_top_bar_social_section',
						'settings'				=> 'ghost_top_bar_linkedin_setting',
						'type'					=> 'text'

					) );

					// pinterest link setings
					$wp_customize->add_setting( 'ghost_top_bar_pinterest_setting', array(

						'default'				=> '',
						'sanitize_callback' 	=> 'esc_url_raw',
						'transport'				=> 'refresh',

					) );
					$wp_customize->add_control( 'ghost_top_bar_pinterest_control', array(

						'label'					=> esc_html__( 'Pinterest link', 'ghost-lite' ),
						'section'				=> 'ghost_lite_top_bar_social_section',
						'settings'				=> 'ghost_top_bar_pinterest_setting',
						'type'					=> 'text'

					) );

					// twitter link setings
					$wp_customize->add_setting( 'ghost_top_bar_twitter_setting', array(

						'default'				=> '',
						'sanitize_callback' 	=> 'esc_url_raw',
						'transport'				=> 'refresh',

					) );
					$wp_customize->add_control( 'ghost_top_bar_twitter_control', array(

						'label'					=> esc_html__( 'Twitter link', 'ghost-lite' ),
						'section'				=> 'ghost_lite_top_bar_social_section',
						'settings'				=> 'ghost_top_bar_twitter_setting',
						'type'					=> 'text'

					) );

					// youtube link setings
					$wp_customize->add_setting( 'ghost_top_bar_youtube_setting', array(

						'default'				=> '',
						'sanitize_callback' 	=> 'esc_url_raw',
						'transport'				=> 'refresh',

					) );
					$wp_customize->add_control( 'ghost_top_bar_youtube_control', array(

						'label'					=> esc_html__( 'YouTube link', 'ghost-lite' ),
						'section'				=> 'ghost_lite_top_bar_social_section',
						'settings'				=> 'ghost_top_bar_youtube_setting',
						'type'					=> 'text'

					) );

			/* Top social section end */

	/*
		Header panel end
		----------------------------
	*/



	/*
		Blog archive panel begin
		----------------------------
	*/
	$wp_customize->add_panel( 'ghost_lite_blog_archive_panel', array(

		'priority'				=> 92,
		'capability'			=> 'edit_theme_options',
		'theme_supports'		=> '',
		'title'					=> esc_html__( 'Blog archive options', 'ghost-lite' )

	) );

			/* Sidebar area Archive Section begin */

			$wp_customize->add_section( 'ghost_lite_sidebar_area_section', array(

				'title'					=> esc_html__( 'Blog sidebar area settings', 'ghost-lite' ),
				'priority'				=> 5,
				'panel'					=> 'ghost_lite_blog_archive_panel'

			) );

					// Choose sidebar side option
					$wp_customize->add_setting('ghost_sidebar_side_setting', array(
						'default' 				=> 'right',
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'ghost_lite_sidebar_side_location_sanitize'
					));

					$wp_customize->add_control(
						new WP_Customize_Control(
							$wp_customize, 'ghost_sidebar_side_control', array(

								'label'				=> esc_html__( 'Blog sidebar on left or right side', 'ghost-lite' ),
								'section' 			=> 'ghost_lite_sidebar_area_section',
								'settings' 			=> 'ghost_sidebar_side_setting',
								'type' 				=> 'radio',
								'choices' 			=> array(
									'left'					=> esc_html__( 'Blog sidebar left', 'ghost-lite' ),
									'right'					=> esc_html__( 'Blog sidebar right', 'ghost-lite' )
								)

							)
						)
					);

			/* Sidebar area Archive Section end */


			/* Excerpt Archive Section begin */

			$wp_customize->add_section( 'ghost_lite_archive_excerpt_section', array(

				'title'					=> esc_html__( 'Post excerpt on archive', 'ghost-lite' ),
				'priority'				=> 10,
				'panel'					=> 'ghost_lite_blog_archive_panel'

			) );

					// Excerpt length option
					$wp_customize->add_setting( 'ghost_excerpt_length_setting', array(

						'default'				=> 25,
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'absint'

					) );
					$wp_customize->add_control( 'ghost_excerpt_length_control', array(

						'label'					=> esc_html__( 'Excerpt length (words)', 'ghost-lite' ),
						'section'				=> 'ghost_lite_archive_excerpt_section',
						'settings'				=> 'ghost_excerpt_length_setting',
						'type'					=> 'number',
						'input_attrs'			=> array(
								'min'   => 0,
								'step'  => 1
						)

					) );

					// Excerpt read more option
					$wp_customize->add_setting( 'ghost_excerpt_read_more_setting', array(

						'default'				=> esc_html__( ' . . .', 'ghost-lite' ),
						'sanitize_callback' 	=> 'sanitize_text_field',
						'transport'				=> 'refresh',

					) );
					$wp_customize->add_control( 'ghost_excerpt_read_more_control', array(

						'label'					=> esc_html__( 'Excerpt Read more text', 'ghost-lite' ),
						'section'				=> 'ghost_lite_archive_excerpt_section',
						'settings'				=> 'ghost_excerpt_read_more_setting',
						'type'					=> 'text'

					) );

			/* Excerpt Archive Section end */

	/*
		Blog archive panel end
		----------------------------
	*/



	/*
		Blog single panel begin
		----------------------------
	*/
	$wp_customize->add_panel( 'ghost_lite_blog_single_panel', array(

		'priority'				=> 93,
		'capability'			=> 'edit_theme_options',
		'theme_supports'		=> '',
		'title'					=> esc_html__( 'Blog single options', 'ghost-lite' )

	) );

			/* Posts and pages main Section begin */

			$wp_customize->add_section( 'ghost_lite_posts_pages_main_section', array(

				'title'					=> esc_html__( 'Posts and pages settings', 'ghost-lite' ),
				'priority'				=> 10,
				'panel'					=> 'ghost_lite_blog_single_panel',
				'description'			=> '
					<div style="padding-bottom: 26px; border-bottom: 1px solid #ddd;"><em>
						' . esc_html__( 'Sidebar position and type of background image on single post and page', 'ghost-lite' ) . '
					</em></div>'

			) );

					// Choose sidebar single side option
					$wp_customize->add_setting('ghost_sidebar_single_side_setting', array(
						'default' 				=> 'right',
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'ghost_lite_sidebar_side_location_sanitize'
					));

					$wp_customize->add_control(
						new WP_Customize_Control(
							$wp_customize, 'ghost_sidebar_single_side_control', array(

								'label'				=> esc_html__( 'Post and pages sidebar location', 'ghost-lite' ),
								'section' 			=> 'ghost_lite_posts_pages_main_section',
								'settings' 			=> 'ghost_sidebar_single_side_setting',
								'type' 				=> 'radio',
								'choices' 			=> array(
									'left'					=> esc_html__( 'Single sidebar left', 'ghost-lite' ),
									'right'					=> esc_html__( 'Single sidebar right', 'ghost-lite' )
								)

							)
						)
					);

					// Choose sidebar single side option
					$wp_customize->add_setting('post_single_bg_image_select_setting', array(
						'default' 				=> 'default_bg',
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'ghost_lite_single_bg_image_select_sanitize'
					));

					$wp_customize->add_control(
						new WP_Customize_Control(
							$wp_customize, 'post_single_bg_image_select_control', array(

								'label'				=> esc_html__( 'Background image on posts and pages', 'ghost-lite' ),
								'section' 			=> 'ghost_lite_posts_pages_main_section',
								'settings' 			=> 'post_single_bg_image_select_setting',
								'type' 				=> 'radio',
								'choices' 			=> array(
									'default_bg'			=> esc_html__( 'Default background image', 'ghost-lite' ),
									'thumb'					=> esc_html__( 'Current thumbnail image as background', 'ghost-lite' )
								)

							)
						)
					);

			/* Posts and pages main Section end */


			/* Blog Author Section begin */

			$wp_customize->add_section( 'ghost_lite_single_post_author_section', array(

				'title'					=> esc_html__( 'Post author section', 'ghost-lite' ),
				'priority'				=> 15,
				'panel'					=> 'ghost_lite_blog_single_panel'

			) );

					// Enable author box section
					$wp_customize->add_setting('enable_author_box_setting', array(
						'default' 				=> true,
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'ghost_lite_sanitize_checkbox'
					));

					$wp_customize->add_control(
						new WP_Customize_Control(
							$wp_customize, 'enable_author_box_control', array(

								'label'				=> esc_html__( 'Enable author box section', 'ghost-lite' ),
								'section' 			=> 'ghost_lite_single_post_author_section',
								'settings' 			=> 'enable_author_box_setting',
								'type' 				=> 'checkbox'

							)
						)
					);

					// Enable recent author posts
					$wp_customize->add_setting('enable_author_recent_posts_setting', array(
						'default' 				=> true,
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'ghost_lite_sanitize_checkbox'
					));

					$wp_customize->add_control(
						new WP_Customize_Control(
							$wp_customize, 'enable_author_recent_posts_control', array(

								'label'				=> esc_html__( 'Display author recent posts', 'ghost-lite' ),
								'section' 			=> 'ghost_lite_single_post_author_section',
								'settings' 			=> 'enable_author_recent_posts_setting',
								'type' 				=> 'checkbox'

							)
						)
					);

					// Author recent posts quantity
					$wp_customize->add_setting( 'author_recent_posts_qty_setting', array(

						'default'				=> 3,
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'absint'

					) );
					$wp_customize->add_control( 'author_recent_posts_qty_control', array(

						'label'					=> esc_html__( 'Author recent post quantity', 'ghost-lite' ),
						'section'				=> 'ghost_lite_single_post_author_section',
						'settings'				=> 'author_recent_posts_qty_setting',
						'type'					=> 'number',
						'input_attrs'			=> array(
								'min'   => 0,
								'max'   => 14,
								'step'  => 1
						)

					) );

			/* Blog Author Section end */


			/* Blog Prev Next posts Section begin */

			$wp_customize->add_section( 'ghost_lite_single_post_prev_next_section', array(

				'title'					=> esc_html__( 'Post prev and next posts section', 'ghost-lite' ),
				'priority'				=> 25,
				'panel'					=> 'ghost_lite_blog_single_panel'

			) );

					// Enable Prev Next posts section
					$wp_customize->add_setting('enable_prev_next_box_setting', array(
						'default' 				=> true,
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'ghost_lite_sanitize_checkbox'
					));

					$wp_customize->add_control(
						new WP_Customize_Control(
							$wp_customize, 'enable_prev_next_box_control', array(

								'label'				=> esc_html__( 'Enable prev & next post section', 'ghost-lite' ),
								'section' 			=> 'ghost_lite_single_post_prev_next_section',
								'settings' 			=> 'enable_prev_next_box_setting',
								'type' 				=> 'checkbox'

							)
						)
					);

			/* Blog Prev Next posts Section end */


			/* Blog recent post Section begin */

			$wp_customize->add_section( 'ghost_lite_single_post_recent_post_section', array(

				'title'					=> esc_html__( 'Post recent posts section', 'ghost-lite' ),
				'priority'				=> 30,
				'panel'					=> 'ghost_lite_blog_single_panel'

			) );

					// Enable recent posts box section
					$wp_customize->add_setting('enable_recent_post_box_setting', array(
						'default' 				=> true,
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'ghost_lite_sanitize_checkbox'
					));

					$wp_customize->add_control(
						new WP_Customize_Control(
							$wp_customize, 'enable_recent_post_box_control', array(

								'label'				=> esc_html__( 'Enable recent post section', 'ghost-lite' ),
								'section' 			=> 'ghost_lite_single_post_recent_post_section',
								'settings' 			=> 'enable_recent_post_box_setting',
								'type' 				=> 'checkbox'

							)
						)
					);

					// Choose recent taxonomy option
					$wp_customize->add_setting('choose_recent_post_taxonomy_setting', array(
						'default' 				=> 'category',
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'ghost_lite_recent_post_taxonomy_sanitize'
					));

					$wp_customize->add_control(
						new WP_Customize_Control(
							$wp_customize, 'choose_recent_post_taxonomy_control', array(

								'label'				=> esc_html__( 'Recent posts taxonomy', 'ghost-lite' ),
								'section' 			=> 'ghost_lite_single_post_recent_post_section',
								'settings' 			=> 'choose_recent_post_taxonomy_setting',
								'type' 				=> 'radio',
								'choices' 			=> array(
									'category'				=> esc_html__( 'Category', 'ghost-lite' ),
									'tags'					=> esc_html__( 'Tags', 'ghost-lite' )
								)

							)
						)
					);

					// recent posts quantity
					$wp_customize->add_setting( 'recent_posts_quantity_setting', array(

						'default'				=> 2,
						'transport'				=> 'refresh',
						'sanitize_callback'		=> 'absint'

					) );
					$wp_customize->add_control( 'recent_posts_quantity_control', array(

						'label'					=> esc_html__( 'Recent post quantity', 'ghost-lite' ),
						'section'				=> 'ghost_lite_single_post_recent_post_section',
						'settings'				=> 'recent_posts_quantity_setting',
						'type'					=> 'number',
						'input_attrs'			=> array(
								'min'   => 0,
								'max'   => 14,
								'step'  => 1
						)

					) );

			/* Blog recent post Section end */

	/*
		Blog single panel end
		----------------------------
	*/



	/*
		Footer panel begin
		----------------------------
	*/
	$wp_customize->add_panel( 'ghost_lite_footer_panel', array(

		'priority'				=> 94,
		'capability'			=> 'edit_theme_options',
		'theme_supports'		=> '',
		'title'					=> esc_html__( 'Footer options', 'ghost-lite' ),

	) );

			/* Footer copyright Section begin */

			$wp_customize->add_section( 'ghost_lite_footer_area_section', array(

				'title'					=> esc_html__( 'Copyright area text', 'ghost-lite' ),
				'priority'				=> 5,
				'panel'					=> 'ghost_lite_footer_panel'

			) );

					// footer left area text
					$wp_customize->add_setting( 'ghost_footer_left_text_setting', array(

						'default'				=> esc_html__( 'Ghost 2019', 'ghost-lite' ),
						'transport'				=> 'refresh',
						'sanitize_callback' 	=> 'sanitize_text_field',

					) );

					$wp_customize->add_control( 'ghost_footer_left_text_control', array(

						'label'					=> esc_html__( 'Footer left area text', 'ghost-lite' ),
						'section'				=> 'ghost_lite_footer_area_section',
						'settings'				=> 'ghost_footer_left_text_setting',
						'type'					=> 'text'

					) );

					// footer left area text
					$wp_customize->add_setting( 'ghost_footer_right_text_setting', array(

						'default'				=> esc_html__( 'Proudly powered by WordPress.', 'ghost-lite' ),
						'transport'				=> 'refresh',
						'sanitize_callback' 	=> 'sanitize_text_field',

					) );

					$wp_customize->add_control( 'ghost_footer_right_text_control', array(

						'label'					=> esc_html__( 'Footer right area text', 'ghost-lite' ),
						'section'				=> 'ghost_lite_footer_area_section',
						'settings'				=> 'ghost_footer_right_text_setting',
						'type'					=> 'text'

					) );

			/* Footer copyright Section end */

	/*
		Footer panel end
		----------------------------
	*/

}
add_action( 'customize_register', 'ghost_lite_customize_register_func' );



/*
	Sanitize
	----------------------------
*/
// checkbox
function ghost_lite_sanitize_checkbox( $input ) {
    if ( $input == 1 ) {
        return 1;
    } else {
        return '';
    }
}
// radio custom font
function ghost_lite_enable_custom_font_sanitize( $input ) {
    if ( in_array( $input, array( 'yes', 'no' ), true ) ) {
        return $input;
    }
}
// radio contacts or text in top bar
function ghost_lite_top_contact_or_text_sanitize( $input ) {
    if ( in_array( $input, array( 'contact', 'text' ), true ) ) {
        return $input;
    }
}
// radio top bar email showing
function ghost_lite_top_bar_contacts_showing_sanitize( $input ) {
    if ( in_array( $input, array( '', ' hide_bef_1024', ' hide_over_1025' ), true ) ) {
        return $input;
    }
}
// radio sidebar side location
function ghost_lite_sidebar_side_location_sanitize( $input ) {
    if ( in_array( $input, array( 'left', 'right' ), true ) ) {
        return $input;
    }
}
// radio single bg image select
function ghost_lite_single_bg_image_select_sanitize( $input ) {
    if ( in_array( $input, array( 'default_bg', 'thumb' ), true ) ) {
        return $input;
    }
}
// radio recent post taxonomy
function ghost_lite_recent_post_taxonomy_sanitize( $input ) {
    if ( in_array( $input, array( 'category', 'tags' ), true ) ) {
        return $input;
    }
}


